import Route from '@ember/routing/route';
import fetch from 'fetch';
import { htmlSafe } from '@ember/template';
import ENV from 'gwt-frontend/config/environment';

export default class CommentaryIntroRoute extends Route {
  async model(params) {
    console.log(ENV);
    const response = await fetch(ENV.APP.hostUrl + '/api/v1/commentary/' + params.book_id + '/chapter/intro');
    const body = await response.text().then(function(text){
      return new htmlSafe(text);
    });
    return { body };
  }
}
